Name:          libepoxy
Version:       1.5.5
Release:       1mamba
Summary:       A library for handling OpenGL function pointer management for you
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/anholt/libepoxy
Source:		   https://github.com/anholt/libepoxy.git/master/libepoxy-%{version}.tar.bz2
#https://github.com/anholt/libepoxy/archive/%{version}.zip
#Source:        https://github.com/anholt/libepoxy.git/v%{version}/libepoxy-%{version}.tar.bz2
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
## AUTOBUILDREQ-END
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Epoxy is a library for handling OpenGL function pointer management for you.

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q

%build
%meson

%meson_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%meson_install

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libepoxy.so.*
%doc COPYING

%files devel
%defattr(-,root,root)
%dir %{_includedir}/epoxy
%{_includedir}/epoxy/*.h
%{_libdir}/libepoxy.so
%{_libdir}/pkgconfig/epoxy.pc
%doc README.md

%changelog
* Mon Dec 28 2020 Automatic Build System <autodist@mambasoft.it> 1.5.5-1mamba
- automatic version update by autodist

* Tue Nov 26 2019 Automatic Build System <autodist@mambasoft.it> 1.5.4-1mamba
- automatic version update by autodist

* Fri Oct 05 2018 Automatic Build System <autodist@mambasoft.it> 1.5.3-1mamba
- automatic version update by autodist

* Sat May 19 2018 Automatic Build System <autodist@mambasoft.it> 1.5.2-1mamba
- automatic version update by autodist

* Thu Apr 26 2018 Automatic Build System <autodist@mambasoft.it> 1.5.1-1mamba
- automatic version update by autodist

* Fri Mar 02 2018 Automatic Build System <autodist@mambasoft.it> 1.5.0-1mamba
- automatic version update by autodist

* Sat Sep 23 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 1.4.3.20170923git-1mamba
- update to 1.4.3.20170923git

* Sun Jul 02 2017 Automatic Build System <autodist@mambasoft.it> 1.4.3-1mamba
- automatic version update by autodist

* Mon Apr 17 2017 Ercole 'ercolinux' Carpanetto <ercole69@gmail.com> 1.4.1-1mamba
- update to 1.4.1

* Wed Jul 22 2015 Automatic Build System <autodist@mambasoft.it> 1.3.1-1mamba
- automatic version update by autodist

* Sun Mar 15 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2-1mamba
- package created using the webbuild interface
